## org.eclipse.jetty.plus.annotation
Class RunAs

    java.lang.Object
      org.eclipse.jetty.plus.annotation.RunAs

    public class RunAs

extends java.lang.Object

RunAs

Represents a <run-as> element in web.xml, or a runAs annotation.

Constructor Summary
`RunAs()`

Method Summary
`java.lang.String` `getRoleName()`
`java.lang.String` `getTargetClassName()`
`void` `setRoleName(java.lang.String roleName)`
`void` `setRunAs(ServletHolder holder)`
`void` `setTargetClassName(java.lang.String className)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunAs

    public RunAs()

Method Detail

### setTargetClassName

    public void setTargetClassName(java.lang.String className)

### getTargetClassName

    public java.lang.String getTargetClassName()

### setRoleName

    public void setRoleName(java.lang.String roleName)

### getRoleName

    public java.lang.String getRoleName()

### setRunAs

    public void setRunAs(ServletHolder holder)
                  throws ServletException

  Throws:
    `ServletException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.